+++
title =  "Governance"
description = "About the Kubeflow Governance Structure"
weight = 10
aliases = ["/docs/governance/"]
+++


## Governance Structure

Kubeflow Governance consists of four components.

## 1. CNCF 
Kubeflow is a part of the Cloud Native Computing Foundation and adheres to their governance structure, which can be [found here](https://github.com/cncf/foundation?tab=readme-ov-file#governance).

## 2. Kubeflow Steering Committee (KSC)

At a high level, the [Kubeflow Steering Committee (KSC)](https://github.com/kubeflow/community/blob/master/KUBEFLOW-STEERING-COMMITTEE.md) is the "root" level governance body.

The Kubeflow Steering Committee (KSC) is the governing body of the Kubeflow project, providing decision-making and oversight pertaining to the Kubeflow project policies, sub-organizations, and financial planning, and defines the project values and structure.

The governance of Kubeflow is an open, living document, and will continue to evolve as the community and project change.

Read more about the KSC [charter here](https://github.com/kubeflow/community/blob/master/KUBEFLOW-STEERING-COMMITTEE.md#charter).

## 3. Kubeflow Outreach Committee (KOC)

The [Kubeflow Outreach Committee (KOC)](https://github.com/kubeflow/community/blob/master/KUBEFLOW-OUTREACH-COMMITTEE.md) is dedicated to fostering growth, engagement, and community outreach for the Kubeflow project. It focuses on activities that promote Kubeflow to new and existing users, contributors, and stakeholders while building an inclusive, vibrant, and diverse community within the broader AI/ML ecosystem.

Read more about the KOC [charter here](https://github.com/kubeflow/community/blob/master/KUBEFLOW-OUTREACH-COMMITTEE.md#charter).

## 4. Working Groups

Kubeflow has multiple working groups that own subpojects. A major pillar of KF's governance model is working groups that own subprojects. At the time, formation of WGs and the precise processes by which WGs would operate was delayed until KF was large enough to warrant WGs. 

There are several working groups that have different charters: 
1. [AutoML WG](https://github.com/kubeflow/community/tree/master/wg-automl)
1. [Manifests WG](https://github.com/kubeflow/community/tree/master/wg-manifests)
1. [Deployment WG](https://github.com/kubeflow/community/tree/master/wg-deployment)
1. [ML Experience WG](https://github.com/kubeflow/community/tree/master/wg-ml-experience)
1. [Notebooks WG](https://github.com/kubeflow/community/tree/master/wg-notebooks)
1. [Pipelines WG](https://github.com/kubeflow/community/tree/master/wg-pipelines)
1. [Serving WG](https://github.com/kubeflow/community/tree/master/wg-serving)
1. [Training WG](https://github.com/kubeflow/community/tree/master/wg-training)

The overall WG Roles and Organizational Governance can be [found here](https://github.com/kubeflow/community/blob/master/wgs/wg-governance.md).

To find out how to engage with these working groups, see the [Kubeflow Working Groups page](./community.md) on our website.

