+++
title = "Kubeflow Summit 2023"
description = "October 6th, 2023 - Irving, TX, USA - Virtual Attendance Available"
icon = "fa-solid fa-calendar-day"

#
# NOTE: to avoid 404 when we move events to the "/past-events/", 
#       we explicitly set the URL here so it doesn't change
#
url = "/events/kubeflow-summit-2023/"
+++

---

## About the Event

The __Kubeflow Summit 2023__ will be held in on __6 October__ at the __Irving Convention Center in Irving Texas__.

Join us for the Kubeflow Summit 2023, an exciting event dedicated to all things Kubeflow! 
This year, we are thrilled to offer an in-person experience that will bring together experts, enthusiasts, and beginners alike.
Don't miss out on this incredible opportunity to expand your knowledge and network with the Kubeflow community. 

Register now and secure your spot at the Kubeflow Summit 2023!

## Event Details

<div class="table-responsive">
  <table class="table table-bordered">
    <tr class="thead-light">
      <th>
        Date
      </th>
      <td>
        October 6th, 2023
      </td>
    </tr>
    <tr class="thead-light">
      <th>
        Time
      </th>
      <td>
        7:30 AM - 5:30 PM CDT
      </td>
    </tr>
    <tr class="thead-light">
      <th>
        Location
      </th>
      <td>
        <a href="https://maps.app.goo.gl/Xnf4Y1ffVLRiPNGR9">Irving Convention Center at Las Colinas, Irving, TX, USA</a>
      </td>
    </tr>
    <tr class="thead-light">
      <th>
        Cost
      </th>
      <td>
        <strong>FREE</strong>, but registration is required.
      </td>
    </tr>
    <tr class="thead-light">
      <th>
        Registration
      </th>
      <td>
        <a href="https://www.eventbrite.com/e/kubeflow-summit-2023-virtual-registration-tickets-726298186427">
          <button class="btn btn-warning py-2 px-3 mx-3 my-3">Register to Attend<br>(VIRTUAL)</button>
        </a>
        <a href="https://www.eventbrite.com/e/kubeflow-summit-2023-in-person-registration-tickets-726236511957">
          <button class="btn btn-warning py-2 px-3 mx-3 my-3">Register to Attend<br>(IN-PERSON)</button>
        </a>
      </td>
    </tr>
  </table>
</div>

## Registration

The 2023 Kubeflow Summit event is __FREE__ to attend, but registration is required.

This year you may attend either _in-person_ or _virtually_:

- [__REGISTER HERE - Attend IN-PERSON__](https://www.eventbrite.com/e/kubeflow-summit-2023-in-person-registration-tickets-726236511957)
- [__REGISTER HERE - Attend VIRTUALLY__](https://www.eventbrite.com/e/kubeflow-summit-2023-virtual-registration-tickets-726298186427)

{{% alert title="" color="info" %}}
If you register to attend virtually, you will be sent more information a few days before the event on how access the talks and participate in the conversation.
{{% /alert %}}

## Speakers

We are excited to announce the following speakers will be presenting at the Kubeflow Summit 2023:

<div class="container">
  <div class="row">
    <div class="col-auto mb-3">
      {{< card title="Josh Bottom" 
               subtitle="Kubeflow Steering Committee">}}
      {{< /card >}}
      {{< card title="Oswaldo Gomez" 
               subtitle="Roche">}}
      {{< /card >}}
      {{< card title="Omri Shiv" 
               subtitle="Roblox">}}
      {{< /card >}}
      {{< card title="Krzysztof Romanowski" 
               subtitle="Roche">}}
      {{< /card >}}
      {{< card title="Vaibhav Jain" 
               subtitle="Red Hat">}}
      {{< /card >}}
      {{< card title="Amber Graner" 
               subtitle="Kubeflow Community Manager">}}
      {{< /card >}}
      {{< card title="Mathew Wicks" 
               subtitle="Kubeflow Community Manager & Notebooks Lead">}}
      {{< /card >}}
      {{< card title="Diana Atanasova" 
               subtitle="Kubeflow Security Team">}}
      {{< /card >}}
      {{< card title="Julius von Kohout" 
               subtitle="Kubeflow Security Team">}}
      {{< /card >}}
      {{< card title="Johnu George" 
               subtitle="Kubeflow Training Lead">}}
      {{< /card >}}
      {{< card title="Andrey Velichkevich" 
               subtitle="Kubeflow AutoML Lead">}}
      {{< /card >}}
      {{< card title="James Lui" 
               subtitle="Kubeflow Pipelines Lead">}}
      {{< /card >}}
      {{< card title="Kimonas Sotirchos" 
               subtitle="Kubeflow Notebooks & Manifests Lead">}}
      {{< /card >}}
      {{< card title="Dan Sun" 
               subtitle="KServe Lead">}}
      {{< /card >}}
      {{< card title="Jooho Lee" 
               subtitle="Red Hat">}}
      {{< /card >}}
      {{< card title="Qi Liu" 
               subtitle="VMWare">}}
      {{< /card >}}
      {{< card title="Michal Hucko" 
               subtitle="Canonical">}}
      {{< /card >}}
      {{< card title="Vendant Mahabaleshwarkar" 
               subtitle="Open Data Hub">}}
      {{< /card >}}
      {{< card title="Tommy Li" 
               subtitle="IBM">}}
      {{< /card >}}
      {{< card title="Ajay Tyagi" 
               subtitle="DKube">}}
      {{< /card >}}
      {{< card title="Ricardo Rocha" 
               subtitle="CERN">}}
      {{< /card >}}
      {{< card title="Roy Budhaditya" 
               subtitle="Deloitte">}}
      {{< /card >}}
      {{< card title="Prerit Shah" 
               subtitle="Equinor">}}
      {{< /card >}}
    </div>
  </div>
</div>

## Agenda

Get ready to dive into the world of Kubeflow, the open-source machine learning platform built on Kubernetes. 
Our summit will feature engaging sessions, hands-on workshops, and networking opportunities to connect with like-minded individuals.

Discover the latest advancements in Kubeflow, learn from industry leaders, and gain insights into real-world use cases. Whether you're a developer, data scientist, or IT professional, this event is designed to inspire and empower you.

| Start Time | End Time | Speaker                             | Session                                                                                  |
|------------|----------|-------------------------------------|------------------------------------------------------------------------------------------|
| 7:30 AM    | 8:15 AM  | -                                   | Registration Open                                                                        |
| 8:15 AM    | 8:25 AM  | Josh Bottom                         | Welcome & Opening Remarks                                                                |
| 8:25 AM    | 8:30 AM  | Ricardo Rocha                       | USER STORY: Kubeflow at CERN                                                             |
| 8:30 AM    | 9:00 AM  | Oswaldo Gomez                       | Simplifying Machine Learning deployments through Cloud Native Buildpacks and KServe      |
| 9:00 AM    | 9:30 AM  | Omri Shiv                           | The Journey to Supporting 60 Million DAUs starts by supporting 200                       |
| 9:30 AM    | 9:45 AM  | Krzysztof Romanowski                | Integrating oauth2-proxy into Istio Service Mesh for Seamless Authentication in Kubeflow |
| 9:45 AM    | 9:50 AM  | Roy Budhaditya                      | USER STORY: Kubeflow at Deloitte                                                         |
| 9:55 AM    | 10:00 AM | Prerit Shah                         | USER STORY: Kubeflow at Equinor                                                          |
| -          | -        | -                                   | -                                                                                        |
| 10:00 AM   | 10:15 AM | -                                   | Break                                                                                    |
| -          | -        | -                                   | -                                                                                        |
| 10:15 AM   | 10:35 PM | Diana Atanasova & Julius von Kohout | Kubeflow Security Team Update                                                            |
| 10:35 AM   | 10:55 AM | Johnu George                        | WG Update: Training                                                                      |
| 10:55 AM   | 11:15 AM | Andrey Velichkevich                 | WG Update: AutoML                                                                        |
| 11:15 AM   | 11:35 AM | James Lui                           | WG Update: Pipelines                                                                     |
| 11:35 AM   | 11:55 AM | Kimonas Sotirchos                   | WG Update: Notebooks & Manifests                                                         |
| 11:55 AM   | 12:15 PM | Dan Sun                             | KServe Update                                                                            |
| -          | -        | -                                   | -                                                                                        |
| 12:15 PM   | 1:30 PM  | -                                   | Lunch                                                                                    |
| -          | -        | -                                   | -                                                                                        |
| 1:30 PM    | 1:40 PM  | -                                   | Ignite Style Lightning Talks (5 minutes each)                                            |
| 1:40 PM    | 1:45 PM  | Josh Bottom                         | Kubeflow Steering Committee Update                                                       |
| 1:45 PM    | 2:00 PM  | Mathew Wicks                        | deployKF: A Better Way to Deploy Kubeflow and More                                       |
| 2:00 PM    | 2:30 PM  | Jooho Lee                           | Scale Your Models to Zero with Knative and Kserve                                        |
| 2:30 PM    | 3:00 PM  | Qi Liu                              | Platform to Enable AI workload for Multi-Cloud with Hardware accelerations               |
| -          | -        | -                                   | -                                                                                        |
| 3:00 PM    | 3:15 PM  | -                                   | Break                                                                                    |
| -          | -        | -                                   | -                                                                                        |
| 3:15 PM    | 3:45 PM  | Michal Hucko                        | How to use Kubeflow with MLflow                                                          |
| 3:45 PM    | 4:15 PM  | Vendant Mahabaleshwarkar            | Monitoring the performance of your deployed models using OpenDataHub                     |
| 4:15 PM    | 4:45 PM  | Tommy Li                            | Tekton Optimizations for Kubeflow Pipelines 2.0: Challenges and Benefits                 |
| 4:45 PM    | 5:15 PM  | Ajay Tyagi                          | Scaling your Kubeflow Implementation Enterprise Wide, from tens to hundreds of users     |
| 5:15 PM    | 5:30 PM  | Josh Bottom                         | Closing Remarks                                                                          |
